Bug 202302 - problem with printconf on Fedora Core 5
problem with printconf on Fedora Core 5
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
5
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-12 10:09 EDT by Iwan Setyawan
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 0.6.151.8-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-11 08:40:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Iwan Setyawan 2006-08-12 10:09:38 EDT
Description of problem:
printconf dies with the following message:
Traceback (most recent call last):
  File "/usr/sbin/printconf", line 9, in ?
    import queueTree
  File "/usr/share/printconf/util/queueTree.py", line 82, in ?
    import pycups
ImportError: /usr/lib/python2.4/site-packages/pycupsmodule.so: undefined symbol:
cupsDoRequest

this happens both when invoking printconf from command line and from the desktop
(printconf-gui?)

Version-Release number of selected component (if applicable):
0.6.151.7-1

How reproducible:
very reproducible (happens all the time)

Steps to Reproduce:
1. run printconf or printconf-gui
2. enter root password
3. voila!
  
Actual results:
printconf dies with the following message
Traceback (most recent call last):
  File "/usr/sbin/printconf", line 9, in ?
    import queueTree
  File "/usr/share/printconf/util/queueTree.py", line 82, in ?
    import pycups
ImportError: /usr/lib/python2.4/site-packages/pycupsmodule.so: undefined symbol:
cupsDoRequest

Expected results:
printconf-gui window opens

Additional info:
cups-libs version cups-libs-1.1.23-30.2
Comment 1 Tim Waugh 2006-08-15 06:07:04 EDT
Please try this test update:

https://www.redhat.com/archives/fedora-test-list/2006-August/msg00259.html

You should be able to get this using the command:

  yum --enablerepo=updates-testing update 'system-config-printer*'

as root.
Comment 2 Tim Waugh 2006-08-16 07:23:11 EDT
Reporter has verified fix.

Note You need to log in before you can comment on or make changes to this bug.